Create Gateway
curl --request POST \
--url https://api.example.com/v1/crm/merchants/{merchantId}/equipment-orders/{equipmentOrderId}/gateway \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gateways": [],
"gatewaySetupEmail": "<string>"
}
'import requests
url = "https://api.example.com/v1/crm/merchants/{merchantId}/equipment-orders/{equipmentOrderId}/gateway"
payload = {
"gateways": [],
"gatewaySetupEmail": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gateways: [], gatewaySetupEmail: '<string>'})
};
fetch('https://api.example.com/v1/crm/merchants/{merchantId}/equipment-orders/{equipmentOrderId}/gateway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"equipmentOrderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gateways": [],
"gatewaySetupEmail": "<string>"
}{
"status": 123,
"code": "<string>",
"detail": "<string>"
}{
"status": 123,
"code": "<string>",
"detail": "<string>"
}Equipment
Create equipment order gateway
Add gateway configuration to a merchant equipment order
POST
/
v1
/
crm
/
merchants
/
{merchantId}
/
equipment-orders
/
{equipmentOrderId}
/
gateway
Create Gateway
Authorizations
bearerAuthapiKey
Enter token in following format: Bearer
Body
application/json
Response
The created gateway configuration.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
dejapaypro, ipospays, valor, swipesimple, authnet, nmi Maximum string length:
256⌘I
